import { tableAnatomy } from '@chakra-ui/anatomy'
import { createMultiStyleConfigHelpers } from '@chakra-ui/react'

const { definePartsStyle, defineMultiStyleConfig } =
  createMultiStyleConfigHelpers(tableAnatomy.keys)

const baseStyle = definePartsStyle({
  td: {
    fontFamily: 'mono',
    color: 'teal.600',
    padding: '4px 8px  !important',
  },
  th: {
    color: 'teal.700',
    padding: '4px 8px  !important',
  },
})

export const tableTheme = defineMultiStyleConfig({ baseStyle })
